<?xml version="1.0"?>

<!--
    Converts a Spit 0.2 file to a Spit 0.3 file.

    (c) 2004 Remko Troncon
-->

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:output method="xml" />


<xsl:template match="/index">
    <index>
        <xsl:attribute name="version">
            <xsl:value-of select="0.3"/>
        </xsl:attribute>
        
        <xsl:attribute name="title">
            <xsl:value-of select="@title"/>
        </xsl:attribute>
        
        <xsl:attribute name="date">
            <xsl:value-of select="@date"/>
        </xsl:attribute>
        
        
        <xsl:attribute name="originals_create">
            <xsl:value-of select="@originals_create"/>
        </xsl:attribute>
        
        <xsl:attribute name="originals_width">
            <xsl:value-of select="@originals_width"/>
        </xsl:attribute>
        
        <xsl:attribute name="originals_height">
            <xsl:value-of select="@originals_height"/>
        </xsl:attribute>
        
        <xsl:attribute name="originals_quality">
            <xsl:value-of select="@originals_quality"/>
        </xsl:attribute>
        
        <xsl:attribute name="originals_scale">
            <xsl:value-of select="@originals_scale"/>
        </xsl:attribute>
        
        <xsl:attribute name="originals_scalemode">
            <xsl:value-of select="@originals_scalemode"/>
        </xsl:attribute>
        
        <xsl:attribute name="originals_dir">
            <xsl:value-of select="@originals_dir"/>
        </xsl:attribute>


        <xsl:attribute name="slides_create">
            <xsl:value-of select="@slides_create"/>
        </xsl:attribute>

        <xsl:attribute name="slides_width">
            <xsl:value-of select="@slides_width"/>
        </xsl:attribute>
        
        <xsl:attribute name="slides_height">
            <xsl:value-of select="@slides_height"/>
        </xsl:attribute>
        
        <xsl:attribute name="slides_quality">
            <xsl:value-of select="@slides_quality"/>
        </xsl:attribute>
        
        <xsl:attribute name="slides_scalemode">
            <xsl:value-of select="@slides_scalemode"/>
        </xsl:attribute>
        
        <xsl:attribute name="slides_dir">
            <xsl:value-of select="@slides_dir"/>
        </xsl:attribute>
        
        
        <xsl:attribute name="thumbs_width">
            <xsl:value-of select="@thumbs_width"/>
        </xsl:attribute>

        <xsl:attribute name="thumbs_height">
            <xsl:value-of select="@thumbs_height"/>
        </xsl:attribute>

        <xsl:attribute name="thumbs_quality">
            <xsl:value-of select="@thumbs_quality"/>
        </xsl:attribute>

        <xsl:attribute name="thumbs_scalemode">
            <xsl:value-of select="@thumbs_scalemode"/>
        </xsl:attribute>
        
        <xsl:attribute name="thumbs_dir">
            <xsl:value-of select="@thumbs_dir"/>
        </xsl:attribute>


        <xsl:attribute name="html_dir">
            <xsl:value-of select="@html_dir"/>
        </xsl:attribute>
        
        <xsl:attribute name="browser">
            <xsl:value-of select="@browser"/>
        </xsl:attribute>
        
        <xsl:attribute name="editor">
            <xsl:value-of select="@editor"/>
        </xsl:attribute>
        
        <xsl:attribute name="desc_default">
            <xsl:value-of select="@desc_default"/>
        </xsl:attribute>
        
        <generator name="xslt">
            <settings>
                <xsl:attribute name="thumbs_per_line">
                    <xsl:value-of select="@thumbs_per_line"/>
                </xsl:attribute>
        
                <xsl:attribute name="lines_per_page">
                    <xsl:value-of select="@lines_per_page"/>
                </xsl:attribute>

                <xsl:attribute name="linkup">
                    <xsl:value-of select="@html_linkup"/>
                </xsl:attribute>
            </settings>
        </generator>

        <xsl:copy-of select="child::*"/>
    </index>
</xsl:template>

</xsl:stylesheet>
